mathgl (8.0.3+ds.1-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 22 Jan 2026 21:33:34 +0000

mathgl (8.0.3+ds.1-1) unstable; urgency=medium

  * New upstream version 8.0.3+ds.1
    The upstream tarball used in this release is identical to the
    tarball released upstream, version 8.0.3. The upstream tarball
    uploaded in the Debian version 8.0.3-1 was a different one. This
    release fixes the issue.
  * d/control:
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Build-depend on python3-numpy-dev
  * d/watch:
    + Convert to format version 5
    + Mangle Debian version (remove the "+ds.*" suffix)
  * d/copyright:
    + Update copyright information for the debian/* files
    + Add comment about the repacked upstream tarball
  * d/t/run-tests: Only use the default Python3 in the unit test
    (Closes: #1123405)
  * d/gbp.conf: New file

 -- Rafael Laboissière <rafael@debian.org>  Fri, 02 Jan 2026 17:48:13 -0300

mathgl (8.0.3-2) unstable; urgency=medium

  * Restrict autopkgtests to 64-bit LE machines for now, due to regressions
    (memory usage). Closes: #1102467

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Apr 2025 08:58:23 +0100

mathgl (8.0.3-1) unstable; urgency=medium

  * New upstream release. Closes: #1063599, #1094884, #1099657
  * Update python3-mathgl.install

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 04 Apr 2025 10:30:08 +0100

mathgl (8.0.2+svn.r1757-1) experimental; urgency=medium

  * Upload to experiemntal, since the upstream sources are taken from
    SVN. This should fix the FTBFS issue against NumPy 2.

  * New upstream version 8.0.2+svn.r1757
  * Drop patches (applied upstream):
    + d/p/spelling-errors.patch
    + d/p/python3.12.patch
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)
  * d/rules: Do not set rpath in installed libraries
  * d/libgml*.lintian-overrides: Drop unused overrides

 -- Rafael Laboissière <rafael@debian.org>  Fri, 21 Mar 2025 04:28:22 -0300

mathgl (8.0.2-4) unstable; urgency=medium

  * Team upload
  * Drop unnecessary Build-Depends: libqt5webkit5-dev

 -- Bastian Germann <bage@debian.org>  Wed, 22 Jan 2025 21:50:44 +0100

mathgl (8.0.2-3) unstable; urgency=medium

  * Rebuilding without tests for s390x because of #1066978
    Downgrading the bug to normal; test failure appears to be
    filesystem related, unrelated to mathgl  ? but leaving for the
    s390x team to investigate.
  * Build-dep on python-setuptools. Closes: #1080666

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Nov 2024 07:08:48 +0000

mathgl (8.0.2-2) unstable; urgency=medium

  * New upstream version 8.0.2
  * d/control:
    + Drop uneeded buidl-dependencies texinfo, texlive, and
      texlive-plain-generic
    + Do not build-depend on python3-all for profile "nocheck"
  * d/p/spelling-errors.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Wed, 09 Oct 2024 05:16:27 -0300

mathgl (8.0.2-1) unstable; urgency=medium

  * New upstream version 8.0.2
  * d/control:
    + Drop uneeded buidl-dependencies texinfo, texlive, and
      texlive-plain-generic
    + Do not build-depend on python3-all for profile "nocheck"

 -- Rafael Laboissière <rafael@debian.org>  Wed, 09 Oct 2024 04:41:57 -0300

mathgl (8.0.1-8) unstable; urgency=medium

  * d/control: Build-depend on python3-all
  * d/t/control: Drop useless dependency on python3-all
  * d/rules: Add -Werror=format-security to CXXFLAGS
  * d/clean: Remove left-over directories lang/python{2,3}

 -- Rafael Laboissière <rafael@debian.org>  Sun, 28 Apr 2024 18:11:07 -0300

mathgl (8.0.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Uploaded to unstable
  * Rename libraries for 64-bit time_t transition.  Closes: #1062853

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 12:12:57 +0000

mathgl (8.0.1-7.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 22 Feb 2024 17:18:28 +1300

mathgl (8.0.1-7) unstable; urgency=medium

  * Team upload.
  * Create /usr/lib/python3/dist-packages/mathgl/__init__.py only for
    arch-dependant builds to enable arch-indep builds
  * Fix build on i386

 -- Andreas Tille <tille@debian.org>  Thu, 15 Feb 2024 07:53:06 +0100

mathgl (8.0.1-6) unstable; urgency=medium

  * Team upload.
  * Run autopkgtest with all supported Python3 versions
  * Make sure autopkgtest also passes with Python3.12
    Closes: #1061810
  * d/rules: 'Joey Hess and Craig Small' boilerplate removed since this
    is just no example.
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Fix day-of-week for changelog entry 1.10.2.1-2. (lintian-brush)
  * Rely on pre-initialized dpkg-architecture variables. (lintian-brush)
  * Use secure URI in Homepage field. (lintian-brush)

 -- Andreas Tille <tille@debian.org>  Wed, 14 Feb 2024 21:12:33 +0100

mathgl (8.0.1-5.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Graham Inggs <ginggs@debian.org>  Sat, 03 Feb 2024 20:21:23 +0000

mathgl (8.0.1-5) unstable; urgency=medium

  * d/control:
    + Don't use qtwebengine5-dev on mipsel, package to be removed.
      Thanks to Bas Couwenberg for the patch (Closes: #1041920)
    + Do not (build-)depend on the deprecated packages
      libfontconfig1-dev et libgl1-mesa-dev
    + Bump Standards-Version to 4.6.2 (no changes needed)
  * Add build-time check and autopkgtest support (Closes: #1035174)
  * d/rules: Add __init__.py file to the mathgl Python module

 -- Rafael Laboissière <rafael@debian.org>  Sun, 07 Jan 2024 16:41:30 -0300

mathgl (8.0.1-4) unstable; urgency=medium

  * Team upload.
  * Transition to wxWidgets 3.2 (Closes: #1019763)

 -- Scott Talbert <swt@techie.net>  Tue, 18 Oct 2022 22:40:24 -0400

mathgl (8.0.1-3) unstable; urgency=medium

  * Make CMake "find_package(MathGL2)" work
    + d/control: libmgl-dev depend on mathgl (for /usr/bin/mgltask) and
      udav (for /usr/bin/udav)
    + d/mathgl.install: Install mgl.cgi in /usr/lib/cgi-bin
    + d/mathgl.links: Symlink /usr/lib/cgi-bin/mgl.cgi in /usr/bin
      (avoid Lintian warning spare-manual-page)
    Thanks to Marius Mikucionis for the diagnosis (Closes: #1004218)
  * d/control: Make libmgl-dev depend on lib{gif,hdf4,hdf5,hpdf}-dev
    Thanks to Marius Mikucionis for the diagnosis (Closes: #1004219)
  * d/s/lintian-overrides: New file (override warnings source-is-missing)

 -- Rafael Laboissière <rafael@debian.org>  Tue, 30 Aug 2022 18:50:47 -0300

mathgl (8.0.1-2) unstable; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

  [ Vagrant Cascadian ]
  * d/rules: Pass -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON via dh_auto_configure
    override (Closes: #1003915)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 30 May 2022 07:04:37 -0300

mathgl (8.0.1-1) unstable; urgency=medium

  * New upstream version 8.0.1
  * d/p/libs-version-soversion.patch: Drop patch (applied upstream)
  * d/p/spelling-errors.patch: Refresh for new upstream version

 -- Rafael Laboissière <rafael@debian.org>  Thu, 13 Jan 2022 07:03:16 -0300

mathgl (8.0-1~exp) experimental; urgency=medium

  * Upload to experimental, due to the bump in the SOVERSION of the
    libraries and the name of the packages.

  * New upstream version 8.0
  * Adjust package names for new upstream release
  * Drop Replaces and Conflicts relationships for the library packages
  * d/control: Add myself to the list of Uploaders
  * d/p/spelling-errors.patch: New patch
  * d/p/libs-version-soversion.patch: New patch
  * d/copyright: Add stanza for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Sat, 08 Jan 2022 13:32:50 -0300

mathgl (2.5-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Fri, 24 Dec 2021 13:17:49 -0300

mathgl (2.5-1) experimental; urgency=medium

  * Team upload

  * Upload to experimental, due to the bump in the SOVERSION of the
    libraries and the name of the packages.

  * New upstream version 2.5
  * d/p/python3.patch: Drop patch (applied upstream)
  * d/control:
    + Adjust package names for new upstream SOVERSION
    + Tighten dependency on libmgl-data to the current source:Version
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Bump to debhelper compatibility level 13
    + Build-depend on desktop-file-utils
  * Adjust the names of the d/lib*.install files for new upstream SOVERSION
  * New scheme for enabling cmake modules
    + d/p/CMakeLists.patch: Drop patch
    + d/rules: Activate the modules through -D options to dh_auto_configure
  * New upstream installation path for Python files
    + d/python3-mathgl.install: Adjust for new upstream layout
    + d/not-installed: Ignore the .pyc file
  * d/mathgl.install: Include mgllab.desktop
  * d/udav.install: Fix location of udav.desktop
  * d/u/metadata: New file
  * d/rules: Drop dependency on libmgl-data for secondary libraries.
    All libmgl-*<soversion> libraries depend on the main library
    libmgl<soversion>, which depends on libmgl-data.
  * d/libmgl-data.install: Install the gettext (*.mo) files
  * d/libmgl-dev.install: Install the *.cmake files
  * d/libmgl-dev.examples: Install the examples

 -- Rafael Laboissière <rafael@debian.org>  Sat, 18 Dec 2021 05:01:32 -0300

mathgl (2.4.4-7) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Wed, 09 Dec 2020 16:03:25 -0300

mathgl (2.4.4-7~exp) experimental; urgency=medium

  * Team upload
  * Disable building of the SWIG binding for Octave (Closes: #976381)
  * Bump Standards-Version to 4.5.1 (no changes needed)
  * Add Rules-Requires-Root: no
  * Fix wildcard matches in copyright file
  * Add DEP3 headers to the Debian patches
  * Bump version of watch file to 4

 -- Rafael Laboissière <rafael@debian.org>  Sun, 06 Dec 2020 05:37:53 -0300

mathgl (2.4.4-6) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Use dh-sequence-python3 rather than --with python3
  * Use swig rather than swig4.0. Closes: #952600

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Feb 2020 09:37:10 +0000

mathgl (2.4.4-5) unstable; urgency=medium

  * Disable building of python2 module
  * Remove python-numpy from build dependencies (Closes: #943171)

 -- Dimitrios Eftaxiopoulos <eftaxi12@otenet.gr>  Sun, 08 Dec 2019 15:56:30 +0200

mathgl (2.4.4-4) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Switch from obsolete texlive-generic-recommended  to texlive-plain-generic
    Closes: #941538
  * Filter format-security warnings which break autogenerated code
  * Standard-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Oct 2019 19:23:33 +0100

mathgl (2.4.4-3) unstable; urgency=medium

  * Ack. previously fixed bugs. Closes: #696896, #908904
  * Rebuild against wxWidgets GTK3. Closes: #933430

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 31 Jul 2019 10:21:43 +0100

mathgl (2.4.4-2) unstable; urgency=medium

  [ Dimitrios Eftaxiopoulo ]
  * Remove unused fix_hdf5.patch
  * Remove d/compat file and use Build-Depends: debhelper-compat (= 12)
    in d/control

  [ Alastair McKinstry ]
  * overide dh_dwz of mips, mipsel archs as it causes FTBFS

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Jul 2019 19:13:56 +0100

mathgl (2.4.4-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.4.0
  * Still need to B-D on python-numpy. Why?

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Jul 2019 08:49:05 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libmgl-mpi8t64`.
